Bug 115093 - Content-Type header not added by dispatch(...) method of StreamImage
Content-Type header not added by dispatch(...) method of StreamImage
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 10:51 EST by durnez
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 13:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description durnez 2004-02-06 10:51:50 EST
Description of problem:
in class com.arsdigita.cms.dispatcher.StreamImage

dispatch(HttpServletRequest,HttpServletResponse,RequestContext) method
does not set content-header of HTTP response.

in line 164, one should add following method :

response.setHeader("Content-Type", mimeType);


Version-Release number of selected component (if applicable):
CMS 6.0

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
code added for carrefour.fr project, not pushed back before into product.
Comment 1 Jon Orris 2006-09-05 13:44:24 EDT
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.